"use strict";

/* exported assert */
/* exported logger */

var EditProjectDialog = require('../../../../main/js/gui/admin/EditProjectDialog');
var logger = require('../../logger');

var assert = require('assert');

describe('EditProjectDialog', function() {

  it('open', function() {
    var dialog;
    var project;
    return ServerConnector.getProject().then(function(result) {
      project = result;
      dialog = new EditProjectDialog({
        element : testDiv,
        project : project,
        customMap : null,
      });
      return dialog.open();
    }).then(function() {
      dialog.destroy();
    });
  });

  it('onSaveClicked', function() {
    var dialog;
    var project;
    return ServerConnector.getProject().then(function(result) {
      project = result;
      project.setVersion("2.01");
      dialog = new EditProjectDialog({
        element : testDiv,
        project : project,
        customMap : null,
      });
      return dialog.onSaveClicked();
    }).then(function(result) {
      assert.ok(project === result);
    });
  });

});
